Page MenuHomePhabricator

[AMDGPU] gfx1010 wave32 clang support
ClosedPublic

Authored by rampitec on Jun 12 2019, 7:51 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

rampitec created this revision.Jun 12 2019, 7:51 AM
arsenm accepted this revision.Jun 13 2019, 4:25 PM
This revision is now accepted and ready to land.Jun 13 2019, 4:25 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 13 2019, 4:44 PM
tra added a subscriber: tra.Jun 24 2019, 2:39 PM
tra added inline comments.
cfe/trunk/lib/Driver/ToolChains/HIP.cpp
319–324

Can you tell me where to find these bitcode libraries?
They don't seem to be part of https://github.com/RadeonOpenCompute/ROCm-Device-Libs

@yaxunl -- FYI

rampitec marked an inline comment as done.Jun 24 2019, 2:45 PM
rampitec added a subscriber: b-sumner.
rampitec added inline comments.
cfe/trunk/lib/Driver/ToolChains/HIP.cpp
319–324

Not yet, I guess. @b-sumner could you please comment on the upstreaming those?

rampitec marked an inline comment as done.Jun 24 2019, 3:17 PM
rampitec added inline comments.
cfe/trunk/lib/Driver/ToolChains/HIP.cpp
319–324

As far as I can see these are pending integration by @kzhuravl.

rampitec marked an inline comment as done.Jun 24 2019, 4:09 PM
rampitec added inline comments.
cfe/trunk/lib/Driver/ToolChains/HIP.cpp
319–324

Check now. I see that @kzhuravl has just uploaded it.